include(CMakeFindDependencyMacro)

find_dependency(Qt6Gui)
find_dependency(Qt6Network)
find_dependency(Qt6Keychain)
if (ON)
    find_dependency(Olm)
    find_dependency(OpenSSL)
    find_dependency(Qt6Sql)
endif()

if (NOT OFF AND NOT ON)
    find_dependency(Qt6Multimedia)
endif()

include("${CMAKE_CURRENT_LIST_DIR}/QuotientQt6Targets.cmake")

if (NOT QUOTIENT_FORCE_NAMESPACED_INCLUDES)
    get_target_property(_include_dir QuotientQt6 INTERFACE_INCLUDE_DIRECTORIES)
    list(APPEND _include_dir "${_include_dir}/Quotient")
    set_target_properties(QuotientQt6 PROPERTIES INTERFACE_INCLUDE_DIRECTORIES "${_include_dir}")
endif()
